import express from "express";
const router = express.Router();

import { signup, signin, verifyUser, showUser, forgotPassword, resetPassword, updateUser } from "../controllers/user.js";

router.post("/signin", signin);
router.post("/signup", signup);
router.get('/:id/verify/:token/', verifyUser);
router.get('/:userId', showUser);
router.post("/forgotpassword", forgotPassword);
router.post("/resetpassword/:id/:token", resetPassword);
router.put('/update', updateUser);




export default router;